%define lib_name_orig libalsa
%define major 2
%define lib_name %mklibname alsa %major
%define beta rc1
%if %beta
%define fname alsa-lib-%{version}%beta
%else
%define fname alsa-lib-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		libalsa2
Version:	1.0.15
%if %beta
Release:	%mkrel 0.%{beta}.4
%else
Release:	%mkrel 3
%endif
Source0:	ftp://ftp.alsa-project.org/pub/lib/%{fname}.tar.bz2
Patch1:		alsa-lib-1.0.15rc1-fix-build.patch
Patch2:		alsa-fix-dmix_n_snoop.patch
Patch3:		PC-Speaker.conf.patch
License:	GPL
Epoch:		2
Url:		http://www.alsa-project.org/
BuildRoot:	%_tmppath/%name-%version-root
Group:		Sound
Provides:	alsa-lib, %lib_name_orig = %version
Obsoletes:	alsa-lib, %lib_name_orig
Suggests: alsa-plugins
#Obsoletes: libalsa1
#Provides: libalsa1
BuildRequires:	doxygen python-devel
Requires:	%{lib_name_orig}-data

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.

%if "%{_lib}" != "lib"
%package -n %{lib_name}
Summary:	Advanced Linux Sound Architecture (ALSA) library
Group:		Sound
Requires:	kernel >= 2.4.18
Provides:	alsa-lib, %lib_name_orig = %version
Obsoletes:	alsa-lib, %lib_name_orig
Requires:	%{lib_name_orig}-data

%description -n %{lib_name}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
%endif

%package -n %{lib_name_orig}-data
Summary:    Config files for Advanced Linux Sound Architecture (ALSA)
Group:      Sound
Requires:   %lib_name = %epoch:%version

%description -n %{lib_name_orig}-data
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains config files by ALSA applications.

%package -n %{lib_name}-devel
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %lib_name = %epoch:%version
Provides:   libalsa1-devel alsa-lib-devel, %lib_name_orig-devel = %version-%release
Obsoletes:  libalsa1-devel alsa-lib-devel, %lib_name_orig-devel

%description -n %{lib_name}-devel
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n %{lib_name}-static-devel
Summary:    Static libraries for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %{lib_name}-devel = %epoch:%version
Provides:   %{lib_name_orig}-static-devel = %version-%release
%description -n %{lib_name}-static-devel
Static libraries required for statically compiling packages needing the
ALSA libasound library.

%package docs
Summary:    Documentation for Advanced Linux Sound Architecture (ALSA)
Group:      Books/Howtos
Requires:   %lib_name = %epoch:%version
%description docs
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

The Advanced Linux Sound Architecture comes with a kernel API and library API.
This document describes the library API and how it interfaces with the kernel
API. Application programmers should use the library API rather than kernel API.

The Library offers 100% of the functionally of the kernel API, but add next
major improvements in usability, making the application code simpler and better
looking.

This package contains the documentation that describe tha ALSA lib API.


%prep
%setup -q -n %fname
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf
%configure2_5x --enable-shared --enable-static --enable-python
# Force definition of -DPIC so that VERSIONED_SYMBOLS are used
# FIXME: alsa people should not depend on PIC to determine a DSO build...
perl -pi -e 's,(^pic_flag=.+)(-fPIC),\1-DPIC \2,' libtool

make CFLAGS="$RPM_OPT_FLAGS"
make -C doc doc

%install
mkdir -p $RPM_BUILD_ROOT%_includedir/sys
mkdir -p $RPM_BUILD_ROOT%_libdir
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %{lib_name_orig}-data
%defattr(-, root, root)
%doc COPYING
%dir %_datadir/alsa/
%dir %_datadir/alsa/cards/
%dir %_datadir/alsa/pcm/
%_datadir/alsa/cards/*
%_datadir/alsa/pcm/*
%_datadir/alsa/alsa.conf
%_datadir/alsa/smixer.conf
%_datadir/alsa/sndo-mixer.alisp

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING 
%_libdir/*.so.%{major}*
%dir %_libdir/alsa-lib/smixer/
%_libdir/alsa-lib/smixer/*

%files docs
%defattr(-,root,root)
%doc COPYING doc/doxygen/html/* doc/asoundrc.txt

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING
%dir %_includedir/alsa/
%_includedir/alsa/*
%_includedir/sys/asoundlib.h
%_datadir/aclocal/alsa.m4
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_bindir/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.a




%changelog
* Wed Sep 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.15-0.rc1.4mdv2008.0
+ Revision: 91110
- patch 3: update PC-Speaker.conf in order to use softvol
- stop overwiting PC-Speaker.conf with an old version

* Mon Sep 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.15-0.rc1.3mdv2008.0
+ Revision: 89357
- the dmix and dsnoop plugins need a fixed substream number instead of the
  next-available one (-1) as the default number
- suggests alsa-plugins

* Mon Sep 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.15-0.rc1.1mdv2008.0
+ Revision: 78500
- new release

* Wed Aug 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.14a-3mdv2008.0
+ Revision: 68982
- patch 0: add a .conf file to enable dmix/dsnoop and softvol for CMI8788, which
  helps mask the bug that all audio is forced to 48 kHz

* Sat Jun 23 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2:1.0.14a-2mdv2008.0
+ Revision: 43492
- add PC-Speaker.conf

* Mon Jun 18 2007 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.14a-1mdv2008.0
+ Revision: 40976
- New Release 1.0.14a (our patches have been accepted upstream)
- Fix the loading of ALSA Plugins due to configure.in typo.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release
    - fix installing

* Thu May 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.14-2.rc4.3mdv2008.0
+ Revision: 21684
- package new file
- new release


* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-2.rc3.2mdv2007.1
+ Revision: 138273
- add protection if the major ever changed
- new release

* Tue Feb 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.14-2.rc2.2mdv2007.1
+ Revision: 120416
- really bump release
- bump release
- install USB-Audio.conf
- add a configuration file for USB audio devices: enable dmix-ing and proper 5.1 routing for USB audio devices

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.14-1.rc2.2mdv2007.1
+ Revision: 112012
- new release

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.13-1mdv2007.0
+ Revision: 71803
- Import libalsa2

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.1
- new release

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- new release

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc2.2mdv2007.0
- new release
- clean spec

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.12rc1-1mdv2007.0
- new release
- drop patches (applied upstream)

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- drop kernel require

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- patch 5: fix segfault with dshare plugin
- patch 6: use O_APPEND mode with dmix & co (no more resource server)
- patch 7: fix hwptr update in rate plugin (bad sounds on rate expansion and
  invalid memory access)

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- kill patches 0, 1, 2, 3 & 4 (merged upstream)

* Thu Feb 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-6mdk
- patch 4: plug some memory leaks

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-5mdk
- patch 3: use dmix/dsnoop as default PCM for ICE1712

* Wed Dec 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-4mdk
- patch 2: use dmix/dsnoop as default PCM for ICE1724
- really apply patches 0 & 1

* Wed Nov 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-3mdk
- patch 1: fix segfault of iec958 plugin with preamble

* Mon Nov 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-2mdk
- patch 0: fix hanging in some rare case

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc3.1mdk
- new release

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc2.1mdk
- new release

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc4.1mdk
- new release
- kill patch 0 (merged upstream)

* Wed May 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.3mdk
- patch 0:
  o add API for device name
  o fix the drain of dmix plugin without any data
  o fix the blocking during draining in dmix plugin due to ioctl conflicts
  o fix the partial commit in draining with rate plugin
  o fix playback start with sync_ptr mode
  o fix the possible problems of playback drain with rate plugin
  o misc other fixes

* Thu May 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.2mdk
- build release

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.1mdk
- new release
- kill patches 15 & 18 (merged upstream)

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.3mdk
- fix release number

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.2mdkmdk
- patch 15: more fixes for CPU hog (eg: artsd)

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.1mdkmdk
- new release
- remove patches 0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 16 & 17 (merged upstream)
- patch 15:
  o try even harder to prevent artsd to bug
  o merge in patch 14
- patch 18: fix segfault with old kernels

* Fri Apr 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-15mdk
- patch 15: try harder to prevent artsd to bug
- disable patches 13, 14 & 15 since artsd still break from times to times
- patch 16: fix segfault while recording on Audigy LS

* Wed Mar 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-14mdk
- patch 1: use dmix/dsnoop plugins as default for emu10k1x too
- patch 14: new version that fix noise with dmix on SMP/HT systems with i8xx
  (#13400, alsa bug #881)
- patch 15: fix artsd eating all CPU power on i865
- patch 16: fix noise when resampling sound (ALSA bug #1018)
- patch 17: fix dmix's endianess on ppc & co (#14958)

* Fri Mar 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-13mdk
- disable patch 14 since it triger artsd bugs on i865

* Thu Mar 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-12mdk
- patch 9: fix rear/center_lfe subdevice mismatch on Aureon71 (Envy24HT)
- patch 10: fix AC3 output on SB Audigy LS / Live 24bit
- patch 11: add support for CMI8768 chip with 8 multi-channel
- patch 12: fix SPDIF device number on Intel HD Audio (Azalia)
- patch 13: use softvol plugin for default PCM for C-Media codecs on VIA823[37]
- patch 14: fix noise with dmix on SMP/HT systems with i8xx (#13400)

* Wed Mar 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-11mdk
- add missing dependency to "%%{_lib}" != "lib" packages

* Mon Mar 21 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-10mdk
- use %%if "%%{_lib}" != "lib" instead of ifarch (GB)

* Sun Mar 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-9mdk
- fix files (spturtle)

* Sun Mar 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-8mdk
- don't use %%lib_name macro in name --> src.rpm confusion
- use the macromdv2007.1

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-7mdk
- patch 7: fix xine crash (#13045, #13449)

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-6mdk
- patch 5: fix rear PCM (mono output) on emu10k1
- patch 6: fix routing of 5.1 output on ICH4

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-5mdk
- patch 4: fix statck protection patch

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-4mdk
- patch 2: fix compil warning (fedora)
- patch 4: stack protection (CAN-2005-0087) (fedora)

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-3mdk
- patch 1: use dmix by default

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- patch 0: fix memleak

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.2mdk
- rpmlint cleanups

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release

* Mon Dec 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.8-0.rc1.2mdk
- fix missing epoch in requires

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Thu Jul 08 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-2mdk
- Force definition of -DPIC so that VERSIONED_SYMBOLS are used. aka
  fix alsa dependent packages (arts, etc.). Anyway, alsa people should
  not rely on this variable to determine a DSO build.

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_2mdk
- fix forgotten changelog

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

